function [ x ] = bisection( f, a, b )
% Bisection(f, a, b)
%   Nalazi nulu funkcije na intervalu [a,b]
f = inline(f);
fa = -Inf;
fb = Inf;
while b-a > 0.001               % dok se ne smanji interval
    x = (a+b)/2;                % nalazi polovinu intervala
    fx = f(x);                  % racuna funkciju na polovini
    if (fx == 0)                % ako je dobijena nula 
        break;                  % izlazi iz petlje
    elseif sign(fx) == sign(fa) % poredi znakove funkcije
        a = x; fa = fx;         % pomera granicu a na polovinu
    else                        % ili
        b = x; fb = fx;         % pomera granicu b na polovinu
    end
end
